For the complete documentation index, see llms.txt. This page is also available as Markdown.

Diamonds

Create Rough Diamond

post
/diamonds/rough/create

Create a rough diamond in the inventory.

Body

Describes what's mandatory for the create rough diamond endpoint, regardless of a particular instance's configuration.

assurance_levelstring · enumOptional

Represents the assurance level for a diamond.

Default: assuredPossible values:
box_descriptionstring · nullableOptional

Box description
Tracr class: entity_specific

box_idstringRequired

System name and ID pairs identifying the source batch for the diamond.
Tracr class: entity_specific

participant_idstringRequired

User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID. This field must be unique within the box/shipment the diamond is registered against.

Pattern: ^\S(.*\S)?$
participant_timestampstring · date-timeRequired

A timestamp (in ISO8601 format) representing the real world time that the change happened.
Tracr class: entity_specific

sight_noany of · nullableOptional

Sight number
Tracr class: entity_specific

integerOptional
or
nullOptional
sight_yearany of · nullableOptional

Sight year
Tracr class: entity_specific

integerOptional
or
nullOptional
Responses
200

Successful Response

application/json

A diamond as returned from V1 API endpoints.

archived_atstring · date-time · nullableOptional

Timestamp indicating when this diamond was archived.
Tracr Class: entity_specific

assurance_levelstring · enumRequired

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

Possible values:
box_descriptionstring · nullableOptional

Tracr Class: entity_specific

box_idstring · nullableOptional

Identifier of the box/lot/shipment the diamond is registered against.
Tracr Class: entity_specific

current_stagestring · enumRequired

Indicates whether the diamond is rough or polished.
Tracr Class: traceability

Possible values:
diamond_idstringRequired

The diamond's unique identifier assigned by Tracr. Synonymous with Tracr ID.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
diamond_parent_idstring · nullableOptional

Tracr ID of the diamond's parent.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
idstring · uuidRequired

Legacy identifier of the diamond, superseded by diamond_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

is_currentbooleanRequired

Indicates whether the version of the diamond returned from the API is the latest version. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

lifecycle_statestring · enumRequired

Tracr Class: traceability

Possible values:
parent_idstring · uuid · nullableOptional

Legacy identifier of the diamond's parent, superseded by diamond_parent_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

participant_idstring · nullableOptional

User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.
Tracr Class: entity_specific

participant_parent_idstring · nullableOptional

ERP of the diamond's parent.
Tracr Class: entity_specific

participant_timestampstring · date-timeRequired

User supplied timestamp of when the diamond was last modified.
Tracr Class: entity_specific

possession_statestring · enumRequired

Tracr Class: supplementary

Possible values:
producer_uuidstring · uuidRequired

Tracr platform identifier of the producer that first registered this diamond.
Tracr Class: traceability

rough_checkbooleanRequired

Indicates whether this diamond has passed rough objective verification. Prior to a diamond being unlocked the Rough Check status will always be false.
Tracr Class: supplementary

schema_versionstring · nullableOptional

Indicates the internal schema version used when putting the diamond on blockchain. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

sight_nointeger · nullableOptional

Tracr Class: entity_specific

sight_yearinteger · nullableOptional

Tracr Class: entity_specific

system_timestampstring · date-timeRequired

Tracr Class: entity_specific

three_d_plan_availablebooleanOptional

Indicates whether a 3D plan is available for the diamond.
Tracr Class: supplementary

Default: false
unlock_statusstring · enumRequired

Tracr Class: supplementary

Possible values:
verification_descriptionstringOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: verified record
verification_statusstring · enumOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: VerifiedPossible values:
verification_status_modified_atstring · date-time · nullableOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

version_idstringRequired

The identifier of the diamond's current version. This changes to a new unique identifier each time the diamond is updated.
Tracr Class: traceability

post/diamonds/rough/create

Resend Data Request

post
/diamonds/{diamond_id}/data-request/{data_request_id}/resend

Resend a pending diamond data request.

Path parameters
diamond_idstringRequiredExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
data_request_idstringRequired
Responses
201

Successful Response

application/json
anyOptional
post/diamonds/{diamond_id}/data-request/{data_request_id}/resend

No content

Get Diamond

get
/diamonds/{id}

Returns the current version of the requested diamond, if it exists.

Path parameters
idany ofRequired

The ID (UUID or Diamond ID) of the diamond

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Query parameters
only_if_heldbooleanOptional

If true, the diamond is returned only if its possession state is HELD

Default: false
Responses
200

Successful Response

application/json

A diamond as returned from V1 API endpoints.

archived_atstring · date-time · nullableOptional

Timestamp indicating when this diamond was archived.
Tracr Class: entity_specific

assurance_levelstring · enumRequired

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

Possible values:
box_descriptionstring · nullableOptional

Tracr Class: entity_specific

box_idstring · nullableOptional

Identifier of the box/lot/shipment the diamond is registered against.
Tracr Class: entity_specific

current_stagestring · enumRequired

Indicates whether the diamond is rough or polished.
Tracr Class: traceability

Possible values:
diamond_idstringRequired

The diamond's unique identifier assigned by Tracr. Synonymous with Tracr ID.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
diamond_parent_idstring · nullableOptional

Tracr ID of the diamond's parent.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
idstring · uuidRequired

Legacy identifier of the diamond, superseded by diamond_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

is_currentbooleanRequired

Indicates whether the version of the diamond returned from the API is the latest version. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

lifecycle_statestring · enumRequired

Tracr Class: traceability

Possible values:
parent_idstring · uuid · nullableOptional

Legacy identifier of the diamond's parent, superseded by diamond_parent_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

participant_idstring · nullableOptional

User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.
Tracr Class: entity_specific

participant_parent_idstring · nullableOptional

ERP of the diamond's parent.
Tracr Class: entity_specific

participant_timestampstring · date-timeRequired

User supplied timestamp of when the diamond was last modified.
Tracr Class: entity_specific

possession_statestring · enumRequired

Tracr Class: supplementary

Possible values:
producer_uuidstring · uuidRequired

Tracr platform identifier of the producer that first registered this diamond.
Tracr Class: traceability

rough_checkbooleanRequired

Indicates whether this diamond has passed rough objective verification. Prior to a diamond being unlocked the Rough Check status will always be false.
Tracr Class: supplementary

schema_versionstring · nullableOptional

Indicates the internal schema version used when putting the diamond on blockchain. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

sight_nointeger · nullableOptional

Tracr Class: entity_specific

sight_yearinteger · nullableOptional

Tracr Class: entity_specific

system_timestampstring · date-timeRequired

Tracr Class: entity_specific

three_d_plan_availablebooleanOptional

Indicates whether a 3D plan is available for the diamond.
Tracr Class: supplementary

Default: false
unlock_statusstring · enumRequired

Tracr Class: supplementary

Possible values:
verification_descriptionstringOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: verified record
verification_statusstring · enumOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: VerifiedPossible values:
verification_status_modified_atstring · date-time · nullableOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

version_idstringRequired

The identifier of the diamond's current version. This changes to a new unique identifier each time the diamond is updated.
Tracr Class: traceability

get/diamonds/{id}

Upload Diamond Grading Certificate

post
/diamonds/{id}/files/grading_certificates

Upload any grading report associating it with the polished diamond. Rough diamonds cannot be updated with a grading report file.

Path parameters
idany ofRequired

The ID (UUID) of the diamond.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Body

The form usede by the upload_grading_certificate_endpoint.

caratsany of · nullableOptional
numberOptional
or
stringOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
certificate_filestring · binary · nullableOptional

The grading certificate file.

claritystring · enum · nullableOptionalPossible values:
clarity_characteristics_diagramstring · binary · nullableOptional
colourstring · enum · nullableOptionalPossible values:
crown_angleany of · nullableOptional
numberOptional
or
stringOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
crown_heightany of · nullableOptional
numberOptional
or
stringOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
culet_conditionstring · enum · nullableOptionalPossible values:
culet_sizestring · enum · nullableOptionalPossible values:
cut_gradestring · enum · nullableOptionalPossible values:
depthany of · nullableOptional
numberOptional
or
stringOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
depth_percentany of · nullableOptional
numberOptional
or
stringOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
diameter_maximumany of · nullableOptional
numberOptional
or
stringOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
diameter_minimumany of · nullableOptional
numberOptional
or
stringOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
fancy_colourstring · enum · nullableOptionalPossible values:
fancy_colour_intensitystring · enum · nullableOptionalPossible values:
fancy_colour_overtonestring · nullableOptional
filestring · binary · nullableOptionalDeprecated

The grading certificate file. This field is deprecated, use certificate_file instead.

fluorescence_colourstring · enum · nullableOptionalPossible values:
fluorescence_intensitystring · enum · nullableOptionalPossible values:
girdle_conditionstring · enum · nullableOptionalPossible values:
girdle_thickness_fromstring · enum · nullableOptionalPossible values:
girdle_thickness_tostring · enum · nullableOptionalPossible values:
graded_datestring · nullableOptional
grader_certificate_nostring · nullableOptional
grader_clarity_characteristicsstring · nullableOptional
grader_inscription_nostring · nullableOptional
grader_report_nostring · nullableOptional
grading_certificate_descriptionstring · nullableOptional
grading_labstring · nullableOptionalDefault: Other
lengthany of · nullableOptional
numberOptional
or
stringOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
measurement_textstring · nullableOptional
pavillion_angleany of · nullableOptional
numberOptional
or
stringOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
pavillion_percentany of · nullableOptional
numberOptional
or
stringOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
polish_qualitystring · enum · nullableOptionalPossible values:
proportions_diagramstring · binary · nullableOptional
shapestring · enum · nullableOptional

An enum of the possible values for the shape of a diamond.

Possible values:
symmetrystring · enum · nullableOptionalPossible values:
table_percentany of · nullableOptional
numberOptional
or
stringOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
validation_levelstring · enum · nullableOptionalPossible values:
widthany of · nullableOptional
numberOptional
or
stringOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
Responses
200

Successful Response

application/json
graded_measurement_idstringRequired

Graded Measurement ID.

hashstringRequired

File contents hash.

post/diamonds/{id}/files/grading_certificates

Upload Diamond Image

post
/diamonds/{id}/files/images

Upload an image file associating it with the current lifecycle state of the diamond.

Path parameters
idany ofRequired

The ID (UUID) of the diamond.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Body
descriptionstring · nullableOptional
filestring · binaryRequired
image_typestring · enumOptional

Valid values: default, 3d, b2b, heart, arrow, aset_scope, plot, face_up, dark_field, ideal_scope, fluorescence, inclusion_map, diagram, other. Default: default

Default: defaultPossible values:
Responses
200

Successful Response

application/json
hashstringRequired

File contents hash.

post/diamonds/{id}/files/images

Upload Diamond Plan

post
/diamonds/{id}/files/plan

Upload a plan file associating it with only the rough diamond. Polished diamonds cannot be updated with a plan file.

Path parameters
idany ofRequired

The ID (UUID) of the diamond.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Body
descriptionstring · nullableOptional
filestring · binaryRequired
plan_software_manufacturerstring · nullableOptional
plan_software_namestring · nullableOptional
plan_software_versionstring · nullableOptional
Responses
200

Successful Response

application/json
hashstringRequired

File contents hash.

post/diamonds/{id}/files/plan

Upload Diamond Plan Report

post
/diamonds/{id}/files/plan/reports

Upload a plan file report associating it with only the rough diamond. Polished diamonds cannot be updated with a plan file.

Path parameters
idany ofRequired

The ID (UUID) of the diamond.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Body
descriptionstring · nullableOptional
filestring · binaryRequired
plan_software_manufacturerstring · nullableOptional
plan_software_namestring · nullableOptional
plan_software_versionstring · nullableOptional
scan_device_manufacturerstring · nullableOptional
scan_device_modelstring · nullableOptional
Responses
200

Successful Response

application/json
hashstringRequired

File contents hash.

post/diamonds/{id}/files/plan/reports

Upload Diamond Scan

post
/diamonds/{id}/files/scan

Upload a scan file associating it with the current lifecycle state of the diamond.

Path parameters
idany ofRequired

The ID (UUID) of the diamond.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Body
descriptionstring · nullableOptional
filestring · binaryRequired
scan_device_manufacturerstring · nullableOptional
scan_device_modelstring · nullableOptional
Responses
200

Successful Response

application/json
hashstringRequired

File contents hash.

post/diamonds/{id}/files/scan

Upload Diamond Scan Report

post
/diamonds/{id}/files/scan/reports

Upload a scan report file associating it with the current lifecycle state of the diamond.

Path parameters
idany ofRequired

The ID (UUID) of the diamond.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Body
descriptionstring · nullableOptional
filestring · binaryRequired
scan_device_manufacturerstring · nullableOptional
scan_device_modelstring · nullableOptional
scan_software_namestring · nullableOptional
scan_software_versionstring · nullableOptional
Responses
200

Successful Response

application/json
hashstringRequired

File contents hash.

post/diamonds/{id}/files/scan/reports

Upload Diamond Supplementary File

post
/diamonds/{id}/files/supplementary_files

Upload any supplementary files associating them with the current lifecycle state of the diamond.

Path parameters
idany ofRequired

The ID (UUID) of the diamond.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Body
descriptionstring · nullableOptional
filestring · binaryRequired
Responses
200

Successful Response

application/json
hashstringRequired

File contents hash.

post/diamonds/{id}/files/supplementary_files

Upload Diamond Video

post
/diamonds/{id}/files/videos

Upload a video file associating it with the current lifecycle state of the diamond.

Path parameters
idany ofRequired

The ID (UUID) of the diamond.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Body
descriptionstring · nullableOptional
filestring · binaryRequired
Responses
200

Successful Response

application/json
hashstringRequired

File contents hash.

post/diamonds/{id}/files/videos

Get Diamond File

get
/diamonds/{id}/files/{hash}

Download a file

Path parameters
hashstringRequired

File contents hash.

idany ofRequired

The ID (UUID) of the diamond.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Responses
302

A redirection to a presigned S3 url for the requested file.

application/json
anyOptional
get/diamonds/{id}/files/{hash}

No content

Get Graded Measurements

get
/diamonds/{id}/graded-measurements

Get an unpaginated list of all graded measurements for the diamond.

Path parameters
idany ofRequired

The ID (UUID) of the diamond.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Responses
200

Successful Response

application/json
get/diamonds/{id}/graded-measurements

Deselect Graded Measurement

patch
/diamonds/{id}/graded-measurements/{graded_measurement_id}/deselect

Mark the specified graded measurement as inactive.

Path parameters
graded_measurement_idstringRequired
idany ofRequired

The ID (UUID) of the diamond.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Responses
200

Successful Response

application/json

Represents a single GradedMeasurement row for a diamond.

caratsstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
claritystring · enum · nullableOptionalPossible values:
colourstring · enum · nullableOptionalPossible values:
crown_anglestring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
crown_heightstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
culet_conditionstring · enum · nullableOptionalPossible values:
culet_sizestring · enum · nullableOptionalPossible values:
cut_gradestring · enum · nullableOptionalPossible values:
depthstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
depth_percentstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
diameter_maximumstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
diameter_minimumstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
display_colourstring · nullableOptional
fancy_colourstring · enum · nullableOptionalPossible values:
fancy_colour_intensitystring · enum · nullableOptionalPossible values:
fancy_colour_overtonestring · nullableOptional
fluorescence_colourstring · enum · nullableOptionalPossible values:
fluorescence_intensitystring · enum · nullableOptionalPossible values:
girdle_conditionstring · enum · nullableOptionalPossible values:
girdle_thickness_fromstring · enum · nullableOptionalPossible values:
girdle_thickness_tostring · enum · nullableOptionalPossible values:
graded_datestring · date-time · nullableOptional
grader_certificate_numberstring · nullableOptional
grader_clarity_characteristicsstring · nullableOptional
grader_colourstring · nullableOptional
grader_inscription_numbersstring[] · nullableOptional
grader_report_commentsstring · nullableOptional
grader_report_numberstring · nullableOptional
grader_report_typestring · nullableOptional
grader_shapestring · nullableOptional
grading_certificate_descriptionstring · nullableOptional
grading_certificate_filenamestring · nullableOptional
grading_certificate_hashstring · nullableOptional
grading_labstring · enum · nullableOptional

An Enum of grading lab values to be used when interacting with PCS-API.

Possible values:
idstringRequired
is_activebooleanRequired
is_selectablebooleanRequired
lengthstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
measurement_textstring · nullableOptional
pavillion_anglestring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
pavillion_percentstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
polish_qualitystring · enum · nullableOptionalPossible values:
shapestring · enum · nullableOptional

An enum of the possible values for the shape of a diamond.

Possible values:
sourcestring · enumRequired

The source of graded measurement data.

Possible values:
symmetrystring · enum · nullableOptionalPossible values:
table_percentstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
validation_levelstring · enum · nullableOptionalPossible values:
widthstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
patch/diamonds/{id}/graded-measurements/{graded_measurement_id}/deselect

Select Graded Measurement

patch
/diamonds/{id}/graded-measurements/{graded_measurement_id}/select

Mark the specified graded measurement as active.

Path parameters
graded_measurement_idstringRequired
idany ofRequired

The ID (UUID) of the diamond.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Responses
200

Successful Response

application/json

Represents a single GradedMeasurement row for a diamond.

caratsstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
claritystring · enum · nullableOptionalPossible values:
colourstring · enum · nullableOptionalPossible values:
crown_anglestring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
crown_heightstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
culet_conditionstring · enum · nullableOptionalPossible values:
culet_sizestring · enum · nullableOptionalPossible values:
cut_gradestring · enum · nullableOptionalPossible values:
depthstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
depth_percentstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
diameter_maximumstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
diameter_minimumstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
display_colourstring · nullableOptional
fancy_colourstring · enum · nullableOptionalPossible values:
fancy_colour_intensitystring · enum · nullableOptionalPossible values:
fancy_colour_overtonestring · nullableOptional
fluorescence_colourstring · enum · nullableOptionalPossible values:
fluorescence_intensitystring · enum · nullableOptionalPossible values:
girdle_conditionstring · enum · nullableOptionalPossible values:
girdle_thickness_fromstring · enum · nullableOptionalPossible values:
girdle_thickness_tostring · enum · nullableOptionalPossible values:
graded_datestring · date-time · nullableOptional
grader_certificate_numberstring · nullableOptional
grader_clarity_characteristicsstring · nullableOptional
grader_colourstring · nullableOptional
grader_inscription_numbersstring[] · nullableOptional
grader_report_commentsstring · nullableOptional
grader_report_numberstring · nullableOptional
grader_report_typestring · nullableOptional
grader_shapestring · nullableOptional
grading_certificate_descriptionstring · nullableOptional
grading_certificate_filenamestring · nullableOptional
grading_certificate_hashstring · nullableOptional
grading_labstring · enum · nullableOptional

An Enum of grading lab values to be used when interacting with PCS-API.

Possible values:
idstringRequired
is_activebooleanRequired
is_selectablebooleanRequired
lengthstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
measurement_textstring · nullableOptional
pavillion_anglestring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
pavillion_percentstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
polish_qualitystring · enum · nullableOptionalPossible values:
shapestring · enum · nullableOptional

An enum of the possible values for the shape of a diamond.

Possible values:
sourcestring · enumRequired

The source of graded measurement data.

Possible values:
symmetrystring · enum · nullableOptionalPossible values:
table_percentstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
validation_levelstring · enum · nullableOptionalPossible values:
widthstring · nullableOptionalPattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
patch/diamonds/{id}/graded-measurements/{graded_measurement_id}/select

Polish Diamond

post
/diamonds/{id}/polish

Transform a rough diamond to a polished diamond in the inventory.

Path parameters
idany ofRequired

The ID (UUID) of the diamond to polish.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Body
participant_idstring · nullableOptional

User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.
Tracr class: entity_specific

participant_timestampstring · date-time · nullableOptional

A timestamp (in ISO8601 format) representing the real world time that the change happened.
Tracr class: entity_specific

Responses
200

Successful Response

application/json

A diamond as returned from V1 API endpoints.

archived_atstring · date-time · nullableOptional

Timestamp indicating when this diamond was archived.
Tracr Class: entity_specific

assurance_levelstring · enumRequired

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

Possible values:
box_descriptionstring · nullableOptional

Tracr Class: entity_specific

box_idstring · nullableOptional

Identifier of the box/lot/shipment the diamond is registered against.
Tracr Class: entity_specific

current_stagestring · enumRequired

Indicates whether the diamond is rough or polished.
Tracr Class: traceability

Possible values:
diamond_idstringRequired

The diamond's unique identifier assigned by Tracr. Synonymous with Tracr ID.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
diamond_parent_idstring · nullableOptional

Tracr ID of the diamond's parent.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
idstring · uuidRequired

Legacy identifier of the diamond, superseded by diamond_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

is_currentbooleanRequired

Indicates whether the version of the diamond returned from the API is the latest version. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

lifecycle_statestring · enumRequired

Tracr Class: traceability

Possible values:
parent_idstring · uuid · nullableOptional

Legacy identifier of the diamond's parent, superseded by diamond_parent_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

participant_idstring · nullableOptional

User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.
Tracr Class: entity_specific

participant_parent_idstring · nullableOptional

ERP of the diamond's parent.
Tracr Class: entity_specific

participant_timestampstring · date-timeRequired

User supplied timestamp of when the diamond was last modified.
Tracr Class: entity_specific

possession_statestring · enumRequired

Tracr Class: supplementary

Possible values:
producer_uuidstring · uuidRequired

Tracr platform identifier of the producer that first registered this diamond.
Tracr Class: traceability

rough_checkbooleanRequired

Indicates whether this diamond has passed rough objective verification. Prior to a diamond being unlocked the Rough Check status will always be false.
Tracr Class: supplementary

schema_versionstring · nullableOptional

Indicates the internal schema version used when putting the diamond on blockchain. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

sight_nointeger · nullableOptional

Tracr Class: entity_specific

sight_yearinteger · nullableOptional

Tracr Class: entity_specific

system_timestampstring · date-timeRequired

Tracr Class: entity_specific

three_d_plan_availablebooleanOptional

Indicates whether a 3D plan is available for the diamond.
Tracr Class: supplementary

Default: false
unlock_statusstring · enumRequired

Tracr Class: supplementary

Possible values:
verification_descriptionstringOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: verified record
verification_statusstring · enumOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: VerifiedPossible values:
verification_status_modified_atstring · date-time · nullableOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

version_idstringRequired

The identifier of the diamond's current version. This changes to a new unique identifier each time the diamond is updated.
Tracr Class: traceability

post/diamonds/{id}/polish

Create Rough Child Diamond

post
/diamonds/{id}/rough/create

Following a split, registers any subsequent parts (children) by linking to the original diamond.

Path parameters
idany ofRequired

The ID (UUID) of the diamond to create a child diamond from.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Body

Describes what's mandatory for the create rough child diamond endpoint, regardless of a particular instance's configuration.

participant_idstringRequired

User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.
Tracr class: entity_specific

Pattern: ^\S(.*\S)?$
participant_timestampstring · date-timeRequired

A timestamp (in ISO8601 format) representing the real world time that the change happened.
Tracr class: entity_specific

Responses
200

Successful Response

application/json

A diamond as returned from V1 API endpoints.

archived_atstring · date-time · nullableOptional

Timestamp indicating when this diamond was archived.
Tracr Class: entity_specific

assurance_levelstring · enumRequired

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

Possible values:
box_descriptionstring · nullableOptional

Tracr Class: entity_specific

box_idstring · nullableOptional

Identifier of the box/lot/shipment the diamond is registered against.
Tracr Class: entity_specific

current_stagestring · enumRequired

Indicates whether the diamond is rough or polished.
Tracr Class: traceability

Possible values:
diamond_idstringRequired

The diamond's unique identifier assigned by Tracr. Synonymous with Tracr ID.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
diamond_parent_idstring · nullableOptional

Tracr ID of the diamond's parent.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
idstring · uuidRequired

Legacy identifier of the diamond, superseded by diamond_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

is_currentbooleanRequired

Indicates whether the version of the diamond returned from the API is the latest version. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

lifecycle_statestring · enumRequired

Tracr Class: traceability

Possible values:
parent_idstring · uuid · nullableOptional

Legacy identifier of the diamond's parent, superseded by diamond_parent_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

participant_idstring · nullableOptional

User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.
Tracr Class: entity_specific

participant_parent_idstring · nullableOptional

ERP of the diamond's parent.
Tracr Class: entity_specific

participant_timestampstring · date-timeRequired

User supplied timestamp of when the diamond was last modified.
Tracr Class: entity_specific

possession_statestring · enumRequired

Tracr Class: supplementary

Possible values:
producer_uuidstring · uuidRequired

Tracr platform identifier of the producer that first registered this diamond.
Tracr Class: traceability

rough_checkbooleanRequired

Indicates whether this diamond has passed rough objective verification. Prior to a diamond being unlocked the Rough Check status will always be false.
Tracr Class: supplementary

schema_versionstring · nullableOptional

Indicates the internal schema version used when putting the diamond on blockchain. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

sight_nointeger · nullableOptional

Tracr Class: entity_specific

sight_yearinteger · nullableOptional

Tracr Class: entity_specific

system_timestampstring · date-timeRequired

Tracr Class: entity_specific

three_d_plan_availablebooleanOptional

Indicates whether a 3D plan is available for the diamond.
Tracr Class: supplementary

Default: false
unlock_statusstring · enumRequired

Tracr Class: supplementary

Possible values:
verification_descriptionstringOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: verified record
verification_statusstring · enumOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: VerifiedPossible values:
verification_status_modified_atstring · date-time · nullableOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

version_idstringRequired

The identifier of the diamond's current version. This changes to a new unique identifier each time the diamond is updated.
Tracr Class: traceability

post/diamonds/{id}/rough/create

Split Diamond

post
/diamonds/{id}/split

Mark a rough diamond as split. Split means the rough diamond has been cut and it is now removed from the inventory.

Path parameters
idany ofRequired

The ID (UUID) of the diamond to split.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Body
participant_timestampstring · date-timeRequired

The ISO 8601 timestamp of when the real world event occurred

Responses
200

Successful Response

application/json

A diamond as returned from V1 API endpoints.

archived_atstring · date-time · nullableOptional

Timestamp indicating when this diamond was archived.
Tracr Class: entity_specific

assurance_levelstring · enumRequired

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

Possible values:
box_descriptionstring · nullableOptional

Tracr Class: entity_specific

box_idstring · nullableOptional

Identifier of the box/lot/shipment the diamond is registered against.
Tracr Class: entity_specific

current_stagestring · enumRequired

Indicates whether the diamond is rough or polished.
Tracr Class: traceability

Possible values:
diamond_idstringRequired

The diamond's unique identifier assigned by Tracr. Synonymous with Tracr ID.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
diamond_parent_idstring · nullableOptional

Tracr ID of the diamond's parent.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
idstring · uuidRequired

Legacy identifier of the diamond, superseded by diamond_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

is_currentbooleanRequired

Indicates whether the version of the diamond returned from the API is the latest version. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

lifecycle_statestring · enumRequired

Tracr Class: traceability

Possible values:
parent_idstring · uuid · nullableOptional

Legacy identifier of the diamond's parent, superseded by diamond_parent_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

participant_idstring · nullableOptional

User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.
Tracr Class: entity_specific

participant_parent_idstring · nullableOptional

ERP of the diamond's parent.
Tracr Class: entity_specific

participant_timestampstring · date-timeRequired

User supplied timestamp of when the diamond was last modified.
Tracr Class: entity_specific

possession_statestring · enumRequired

Tracr Class: supplementary

Possible values:
producer_uuidstring · uuidRequired

Tracr platform identifier of the producer that first registered this diamond.
Tracr Class: traceability

rough_checkbooleanRequired

Indicates whether this diamond has passed rough objective verification. Prior to a diamond being unlocked the Rough Check status will always be false.
Tracr Class: supplementary

schema_versionstring · nullableOptional

Indicates the internal schema version used when putting the diamond on blockchain. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

sight_nointeger · nullableOptional

Tracr Class: entity_specific

sight_yearinteger · nullableOptional

Tracr Class: entity_specific

system_timestampstring · date-timeRequired

Tracr Class: entity_specific

three_d_plan_availablebooleanOptional

Indicates whether a 3D plan is available for the diamond.
Tracr Class: supplementary

Default: false
unlock_statusstring · enumRequired

Tracr Class: supplementary

Possible values:
verification_descriptionstringOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: verified record
verification_statusstring · enumOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: VerifiedPossible values:
verification_status_modified_atstring · date-time · nullableOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

version_idstringRequired

The identifier of the diamond's current version. This changes to a new unique identifier each time the diamond is updated.
Tracr Class: traceability

post/diamonds/{id}/split

Get Diamonds

get
/v2/diamond/

Returns a paginated list of diamonds from the platform.

Query parameters
box_idstringOptional

Filter to diamonds with an exact match on the given box ID.

box_id__containsstringOptional

Filter to diamonds where the box ID contains the given value (case sensitive).

box_id__icontainsstringOptional

Filter to diamonds where the box ID contains the given value (case insensitive).

sight_yearintegerOptional

Filter to diamonds with an exact match on the given sight year.

sight_nointegerOptional

Filter to diamonds with an exact match on the given sight number.

system_timestamp__gtestring · date-timeOptional

Filter to diamonds updated on or after the timestamp. Must be an ISO-8601 compliant timestamp.

system_timestamp__ltstring · date-timeOptional

Filter to diamonds updated before the timestamp. Must be an ISO-8601 compliant timestamp.

participant_timestamp__gtestring · date-timeOptional

Filter to diamonds updated on or after the user supplied timestamp. Must be an ISO-8601 compliant timestamp.

participant_timestamp__ltstring · date-timeOptional

Filter to diamonds updated before the user supplied timestamp. Must be an ISO-8601 compliant timestamp.

diamond_id__instringOptional

Filter to diamonds with one of the specified Tracr IDs.

participant_idstringOptional

Filter to diamonds with the specified participant ID (from ERP).

participant_id__instringOptional

Filter to diamonds with one of the specified participant IDs (from ERP).

diamond_parent_idstringOptional

Filter to diamonds where the parent diamond has the given Tracr ID.

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
diamond_parent_id__instringOptional

Filter to diamonds where the parent diamond has one of the given Tracr IDs.

diamond_parent_id__isnullbooleanOptional

Filter diamonds based on whether they have a parent or not.

participant_parent_idstringOptional

Filter to diamonds where the parent diamond has the given participant ID.

participant_parent_id__instringOptional

Filter to diamonds where the parent diamond has one of the given participant IDs.

lifecycle_statestring · enumOptional

Filter to diamonds with the specified lifecycle state.

Possible values:
lifecycle_state__instringOptional

Filter to diamonds with one of the specified lifecycle states.

possession_statestring · enumOptional

Filter to diamonds with the specified possession state.

Possible values:
possession_state__instringOptional

Filter to diamonds with one of the specified possession states.

unlock_statusstring · enumOptional

Filter to diamonds with the specified unlock status.

Possible values:
rough_checkbooleanOptional

Filter to diamonds with or without a rough check.

grading__sourcestring · enumOptional

Filter diamonds with an exact match on the source of the active grading data.

Possible values:
grading__labstring · enumOptional

Filter diamonds with an exact match on the grading lab of the active grading data.

Possible values:
rough_objective_verification_results__isnullbooleanOptional

Filter diamonds based on whether objective verification has been attempted or not.

rough_objective_verification_results__source__instringOptional

Filter diamonds based on the source of the current objective verification.

rough_objective_verification_results__status__instringOptional

Filter diamonds based on the status of the current objective verification.

polished_objective_verification_results__isnullbooleanOptional

Filter diamonds based on whether objective verification has been attempted or not.

polished_objective_verification_results__source__instringOptional

Filter diamonds based on the source of the current objective verification.

polished_objective_verification_results__status__instringOptional

Filter diamonds based on the status of the current objective verification.

grading__report_numberstringOptional

Filter to diamonds where the grader report number matches the given value.

grading__inscription_numberstringOptional

Filter to diamonds where the grader inscription numbers contain the given value.

registered_bystring · enumOptionalDeprecated

Filter to diamonds with the specified registering party (e.g., participant, sarine, diadna). This filter is deprecated and will be removed in a future version. Please use registered_by_integration instead.

Possible values:
registered_by__instringOptionalDeprecated

Filter to diamonds with one of the specified registering parties. This filter is deprecated and will be removed in a future version. Please use registered_by_integration__in instead.

registered_by_integrationstring · enumOptional

Filter to diamonds registered via the specified integration (e.g., participant, sarine).

Possible values:
registered_by_integration__instringOptional

Filter to diamonds registered via one of the specified integrations.

polished_by_integrationstring · enumOptional

Filter to diamonds polished via the specified integration (e.g., participant, sarine).

Possible values:
polished_by_integration__instringOptional

Filter to diamonds polished via one of the specified integrations.

is_archivedbooleanOptional

List archived diamonds

Default: false
outbound_shipment_idstringOptional

Filter to diamonds that appear in the outbound shipment with the specified ID.

in_outbound_shipmentbooleanOptional

Filter diamonds based on whether they're in an active outbound shipment.

pageinteger · min: 1OptionalDefault: 1
sizeinteger · min: 1 · max: 1000OptionalDefault: 100
Responses
200

Successful Response

application/json

A paginated response containing zero or more diamonds.

nextstring · nullableOptional

The URL for the next page.

pageinteger · min: 1 · nullableRequired

The number of the current page.

pagesinteger · nullableOptional

The total number of pages.

previousstring · nullableOptional

The URL of the previous page.

totalintegerRequired

The total number of results across all pages.

get/v2/diamond/

Get diamond filters

get
/v2/diamond/filter

Return the filter values that can be used to filter diamonds. This returns three types of value:

  • Distinct lists contain all distinct values used in the filtered diamonds.

  • Range lists the min and max values used in the filtered diamonds.

  • Bucket lists the min and max values and a list of buckets in which diamonds can be found.

Query parameters
lifecycle_statestring · enumOptional

Filter to diamonds with the specified lifecycle state.

Possible values:
possession_statestring · enumOptional

Filter to diamonds with the specified possession state.

Possible values:
grading__is_activebooleanOptional

Filter diamonds with or without an active graded measurement.

is_archivedbooleanOptional

List archived diamonds

Default: false
diamond_parent_id__isnullbooleanOptional

Filter on whether the diamond has no parent

fieldsstring[]Optional

The filter fields to return. If absent, all fields will be returned.

Default: []
Responses
200

Successful Response

application/json

Result filter values found across all diamonds.

get/v2/diamond/filter

Get Diamond Detail

get
/v2/diamond/{id}

Returns detailed information about a specific diamond, including its top rough (parent diamond) if it exists.

Path parameters
idany ofRequired

The ID (UUID) of the diamond.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Responses
200

Successful Response

application/json

Extended diamond details as returned from the V2 diamond detail endpoint.

This model extends DiamondV2 with additional fields:

  • top_rough: Details of the diamond's parent rough diamond (if it exists)
  • status: The possession state of the diamond (same as used in inventory)
archived_atstring · date-time · nullableOptional

Timestamp indicating when this diamond was archived.
Tracr Class: entity_specific

assurance_levelstring · enumRequired

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

Possible values:
box_descriptionstring · nullableOptional

Tracr Class: entity_specific

box_idstring · nullableOptional

Identifier of the box/lot/shipment the diamond is registered against.
Tracr Class: entity_specific

current_stagestring · enumRequired

Indicates whether the diamond is rough or polished.
Tracr Class: traceability

Possible values:
diamond_idstringRequired

The diamond's unique identifier assigned by Tracr. Synonymous with Tracr ID.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
diamond_parent_idstring · nullableOptional

Tracr ID of the diamond's parent.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
idstring · uuidRequired

Legacy identifier of the diamond, superseded by diamond_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

is_currentbooleanRequired

Indicates whether the version of the diamond returned from the API is the latest version. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

lifecycle_statestring · enumRequired

Tracr Class: traceability

Possible values:
parent_idstring · uuid · nullableOptional

Legacy identifier of the diamond's parent, superseded by diamond_parent_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

participant_idstring · nullableOptional

User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.
Tracr Class: entity_specific

participant_parent_idstring · nullableOptional

ERP of the diamond's parent.
Tracr Class: entity_specific

participant_timestampstring · date-timeRequired

User supplied timestamp of when the diamond was last modified.
Tracr Class: entity_specific

possession_statestring · enumRequired

Tracr Class: supplementary

Possible values:
producer_uuidstring · uuidRequired

Tracr platform identifier of the producer that first registered this diamond.
Tracr Class: traceability

rough_checkbooleanRequired

Indicates whether this diamond has passed rough objective verification. Prior to a diamond being unlocked the Rough Check status will always be false.
Tracr Class: supplementary

schema_versionstring · nullableOptional

Indicates the internal schema version used when putting the diamond on blockchain. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

sight_nointeger · nullableOptional

Tracr Class: entity_specific

sight_yearinteger · nullableOptional

Tracr Class: entity_specific

statusstring · enumRequired

The inventory status of the diamond

Possible values:
system_timestampstring · date-timeRequired

Tracr Class: entity_specific

three_d_plan_availablebooleanOptional

Indicates whether a 3D plan is available for the diamond.
Tracr Class: supplementary

Default: false
unlock_statusstring · enumRequired

Tracr Class: supplementary

Possible values:
verification_descriptionstringOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: verified record
verification_statusstring · enumOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: VerifiedPossible values:
verification_status_modified_atstring · date-time · nullableOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

version_idstringRequired

The identifier of the diamond's current version. This changes to a new unique identifier each time the diamond is updated.
Tracr Class: traceability

get/v2/diamond/{id}

Update Polished Diamond

patch
/v2/diamond/{id}/polished

Update the polished object of a diamond in the inventory.

Only polished diamonds can be updated with this endpoint.

Path parameters
idany ofRequired

The ID (UUID) of the diamond to update.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Body
participant_idstring · nullableOptional

User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID. This field must be unique within the box/shipment the diamond is registered against. Can be updated as long as the the diamond's possession_state is held.

Pattern: ^\S(.*\S)?$
participant_timestampstring · date-timeRequired
Responses
200

Successful Response

application/json

A diamond as returned from V2 API endpoints.

archived_atstring · date-time · nullableOptional

Timestamp indicating when this diamond was archived.
Tracr Class: entity_specific

assurance_levelstring · enumRequired

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

Possible values:
box_descriptionstring · nullableOptional

Tracr Class: entity_specific

box_idstring · nullableOptional

Identifier of the box/lot/shipment the diamond is registered against.
Tracr Class: entity_specific

current_stagestring · enumRequired

Indicates whether the diamond is rough or polished.
Tracr Class: traceability

Possible values:
diamond_idstringRequired

The diamond's unique identifier assigned by Tracr. Synonymous with Tracr ID.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
diamond_parent_idstring · nullableOptional

Tracr ID of the diamond's parent.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
idstring · uuidRequired

Legacy identifier of the diamond, superseded by diamond_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

is_currentbooleanRequired

Indicates whether the version of the diamond returned from the API is the latest version. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

lifecycle_statestring · enumRequired

Tracr Class: traceability

Possible values:
parent_idstring · uuid · nullableOptional

Legacy identifier of the diamond's parent, superseded by diamond_parent_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

participant_idstring · nullableOptional

User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.
Tracr Class: entity_specific

participant_parent_idstring · nullableOptional

ERP of the diamond's parent.
Tracr Class: entity_specific

participant_timestampstring · date-timeRequired

User supplied timestamp of when the diamond was last modified.
Tracr Class: entity_specific

possession_statestring · enumRequired

Tracr Class: supplementary

Possible values:
producer_uuidstring · uuidRequired

Tracr platform identifier of the producer that first registered this diamond.
Tracr Class: traceability

rough_checkbooleanRequired

Indicates whether this diamond has passed rough objective verification. Prior to a diamond being unlocked the Rough Check status will always be false.
Tracr Class: supplementary

schema_versionstring · nullableOptional

Indicates the internal schema version used when putting the diamond on blockchain. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

sight_nointeger · nullableOptional

Tracr Class: entity_specific

sight_yearinteger · nullableOptional

Tracr Class: entity_specific

system_timestampstring · date-timeRequired

Tracr Class: entity_specific

three_d_plan_availablebooleanOptional

Indicates whether a 3D plan is available for the diamond.
Tracr Class: supplementary

Default: false
unlock_statusstring · enumRequired

Tracr Class: supplementary

Possible values:
verification_descriptionstringOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: verified record
verification_statusstring · enumOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: VerifiedPossible values:
verification_status_modified_atstring · date-time · nullableOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

version_idstringRequired

The identifier of the diamond's current version. This changes to a new unique identifier each time the diamond is updated.
Tracr Class: traceability

patch/v2/diamond/{id}/polished

Update Rough Diamond

patch
/v2/diamond/{id}/rough

Update the rough object of a diamond in the inventory.

Only rough diamonds can be updated with this endpoint.

Path parameters
idany ofRequired

The ID (UUID) of the diamond to update.

stringOptionalExample: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
or
string · uuidOptional
Body
box_descriptionstring · nullableOptional

Box description
Tracr class: entity_specific

box_idstring · nullableOptional

System name and ID pairs identifying the source batch for the diamond.
Tracr class: entity_specific

participant_idstring · nullableOptional

User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID. This field must be unique within the box/shipment the diamond is registered against. Can be updated as long as the the diamond's possession_state is held.

Pattern: ^\S(.*\S)?$
participant_timestampstring · date-timeRequired
sight_nointeger · nullableOptional

Sight number
Tracr class: entity_specific

sight_yearinteger · nullableOptional

Sight year
Tracr class: entity_specific

Responses
200

Successful Response

application/json

A diamond as returned from V2 API endpoints.

archived_atstring · date-time · nullableOptional

Timestamp indicating when this diamond was archived.
Tracr Class: entity_specific

assurance_levelstring · enumRequired

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

Possible values:
box_descriptionstring · nullableOptional

Tracr Class: entity_specific

box_idstring · nullableOptional

Identifier of the box/lot/shipment the diamond is registered against.
Tracr Class: entity_specific

current_stagestring · enumRequired

Indicates whether the diamond is rough or polished.
Tracr Class: traceability

Possible values:
diamond_idstringRequired

The diamond's unique identifier assigned by Tracr. Synonymous with Tracr ID.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
diamond_parent_idstring · nullableOptional

Tracr ID of the diamond's parent.
Tracr Class: traceability

Example: e1mv3nn4n10kd1lw6mde6sumsPattern: ^[a-z\d]{20,98}$
idstring · uuidRequired

Legacy identifier of the diamond, superseded by diamond_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

is_currentbooleanRequired

Indicates whether the version of the diamond returned from the API is the latest version. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

lifecycle_statestring · enumRequired

Tracr Class: traceability

Possible values:
parent_idstring · uuid · nullableOptional

Legacy identifier of the diamond's parent, superseded by diamond_parent_id. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

participant_idstring · nullableOptional

User supplied identifier for the diamond, specific to this Tracr instance. Synonymous with ERP ID and Stock ID.
Tracr Class: entity_specific

participant_parent_idstring · nullableOptional

ERP of the diamond's parent.
Tracr Class: entity_specific

participant_timestampstring · date-timeRequired

User supplied timestamp of when the diamond was last modified.
Tracr Class: entity_specific

possession_statestring · enumRequired

Tracr Class: supplementary

Possible values:
producer_uuidstring · uuidRequired

Tracr platform identifier of the producer that first registered this diamond.
Tracr Class: traceability

rough_checkbooleanRequired

Indicates whether this diamond has passed rough objective verification. Prior to a diamond being unlocked the Rough Check status will always be false.
Tracr Class: supplementary

schema_versionstring · nullableOptional

Indicates the internal schema version used when putting the diamond on blockchain. This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

sight_nointeger · nullableOptional

Tracr Class: entity_specific

sight_yearinteger · nullableOptional

Tracr Class: entity_specific

system_timestampstring · date-timeRequired

Tracr Class: entity_specific

three_d_plan_availablebooleanOptional

Indicates whether a 3D plan is available for the diamond.
Tracr Class: supplementary

Default: false
unlock_statusstring · enumRequired

Tracr Class: supplementary

Possible values:
verification_descriptionstringOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: verified record
verification_statusstring · enumOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: supplementary

Default: VerifiedPossible values:
verification_status_modified_atstring · date-time · nullableOptional

This field is deprecated and will be removed in a future revision of the API.
Tracr Class: entity_specific

version_idstringRequired

The identifier of the diamond's current version. This changes to a new unique identifier each time the diamond is updated.
Tracr Class: traceability

patch/v2/diamond/{id}/rough

Last updated